GET: BrandInfo · Menu Import API
GET: BrandInfo
GET
/dbapi/menuimport/brandinfo{?id}The following resources are available:
- This GET resource returns more detailed information of a specific brand.
Parameter
idlongErforderlichReference Id of the brand, defined by menio
Request-Header
Authorizationusr={username}&pwd={password}Kontext: Menu import
The menio MenuImport API resources are listed here. Some general information about the API requests:
Authentication headers should look like: Authorization:usr={username}&pwd={password}. Where "username" and "password" are the login credentials of the menio User.
Responses are in JSON format.
URL Prelive environment:
https://myprelive.qnips.com/dbapiWhen the authentication fails, the request will be denied with the http Status Code 401 (Unauthorized).
If -for any reason- menio is not able to finalize the import process, menio will respond with a http Status Code 500 (Internal Server Error).
Originaler Blueprint-Ausschnitt
API Blueprint
### GET: BrandInfo [GET /dbapi/menuimport/brandinfo{?id}]
- This GET resource returns more detailed information of a specific brand.
+ Parameters
+ id (long, required) - Reference Id of the brand, defined by qnips
+ Request
+ Headers
Authorization: usr={username}&pwd={password}
+ Response 200 (application/json)
{
"MenuCards":
[
{
"Id": 1,
"Name": "Card1"
},
{
"Id": 2,
"Name": "Card2"
}
],
"Sortiments":
[
{
"Id": 1,
"Name": "Sort1",
"StoreThirdPartyId": "YOUR-STORE-ID-369",
"ThirdPartyId": "YOUR-ID-123"
},
{
"Id": 2,
"Name": "Sort2",
"StoreThirdPartyId": "YOUR-STORE-ID-024",
"ThirdPartyId": "YOUR-ID-679"
}
]
}